LINUX.ORG.RU

Нет интерфейса ndiswrapper

 , ,


0

1

Здравствуйте. Гуглил долго, в поиске тоже ничего. Суть проблемы: есть мамка P5-GD2 Premium. Есть в этой мамке wlan контроллер Marvell 88W8310/88W8000G (который libertas) [11ab:1fa7]. Как вы уже догадались - драйверов под линукс на это чудо нету. нагуглил про ndiswrapper, нашел диск от мамки и поставил дрова от XP x64. После танцев с бубном и извратов с ndiswrapper (у которого то модуль отсутствовал, то дрова не те находились) я увидел в списке заветное

mrv8knt : driver installed
	device (11AB:1FA7) present
обрадовавшись, я посмотрел в список интерфейсов и не увидел ни wlanX ни wlpXsX. погуглив, загрузил модуль ndiswrapper - и снова интерфейса нет. Как только не заставлял ndiswrapper гадить в /etc/modules.conf -
-m    write configuration for modprobe
-ma   write module alias configuration for all devices
-mi   write module install configuration for all devices
не помогает. Гугление ничем не помогло.

З.Ы: Когда я впервые установил правильный драйвер, загрузил модуль ndiswrapper и залез в интерфейсы - он был. Но ни одной сети он не увидел, и гугл подсказал что надо бы перезагрузиться. после этого интерфейс бесследно исчез.

З.З.Ы: uname -a

Linux localhost 4.1.15-1-lts #1 SMP Tue Dec 15 20:54:13 CET 2015 x86_64 GNU/Linux
выхлоп dmesg

[   44.267277] ndiswrapper version 1.59 loaded (smp=yes, preempt=no)
[   44.313112] ndiswrapper: driver mrv8knt (Marvell,11/16/2004,2.7.1.2) loaded
[   44.314218] ndiswrapper: using IRQ 20
[   46.750366] ndiswrapper (mp_init:211): couldn't initialize device: C0000001
[   46.750377] ndiswrapper (pnp_start_device:395): Windows driver couldn't initialize the device (C0000001)
[   46.750387] ndiswrapper (mp_halt:254): device ffff880037d57800 is not initialized - not halting
[   46.750391] ndiswrapper: device eth%d removed
[   46.750572] ndiswrapper: probe of 0000:01:00.0 failed with error -22
[   46.750690] usbcore: registered new interface driver ndiswrapper
[  133.605227] cfg80211: Calling CRDA to update world regulatory domain
[  136.750035] cfg80211: Calling CRDA to update world regulatory domain
[  139.900026] cfg80211: Calling CRDA to update world regulatory domain
[  143.050024] cfg80211: Calling CRDA to update world regulatory domain
[  146.200026] cfg80211: Calling CRDA to update world regulatory domain
[  149.350024] cfg80211: Calling CRDA to update world regulatory domain
[  152.500025] cfg80211: Calling CRDA to update world regulatory domain
[  153.390021] usb 1-5: new high-speed USB device number 4 using ehci-pci
[  153.608772] cdc_acm 1-5:1.1: ttyACM0: USB ACM device
[  153.609232] usbcore: registered new interface driver cdc_acm
[  153.609238] cdc_acm: USB Abstract Control Model driver for USB modems and ISDN adapters
[  155.650026] cfg80211: Calling CRDA to update world regulatory domain
[  158.800024] cfg80211: Calling CRDA to update world regulatory domain
[  158.811947] usb 1-5: USB disconnect, device number 4
[  159.360022] usb 1-5: new high-speed USB device number 5 using ehci-pci
[  159.582468] usbcore: registered new interface driver cdc_ether
[  159.586656] rndis_host 1-5:1.0 usb0: register 'rndis_host' at usb-0000:00:1d.7-5, RNDIS device, 76:8b:92:af:54:48
[  159.586724] usbcore: registered new interface driver rndis_host
[  159.597677] rndis_host 1-5:1.0 enp0s29f7u5: renamed from usb0
[  161.950025] cfg80211: Calling CRDA to update world regulatory domain
[  165.100025] cfg80211: Calling CRDA to update world regulatory domain


Ответ на: комментарий от gribf

Что именно? Ядро нужно обновлять, если в репозитории нет дистрибутивного ядра нужной версии, то собирать из исходников.

kostik87 ★★★★★ ()
Ответ на: комментарий от kostik87

да я понял, просто показалось сначала что модуль. едро обновлять (и пересобирать) не вариант - fglrx требует версию <= 4.1, а собирать просто нет ни времени, ни сил. да и если в едро не включили поддержку libertas - значить не просто так.

gribf ()
Ответ на: комментарий от gribf

да и если в едро не включили поддержку libertas - значить не просто так.

Кто тебе это сказал? Вон даже в ядре 3.2.75 есть драйвер libertas: https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/tree/dri...

Посмотри есть ли в твоём дистрибутиве модуль libertas.

kostik87 ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.